#! /bin/bash
#
# 
#
# Author: Shuwen Deng <shuwen.deng@yale.edu>
# Date:   08.27.2019
#
# This file edits the script to build riscv-tests
#
# This code is released under same license as RocketChip code,
# license details can be found in LICENSE.SiFive file.
#

. build.common

echo "Starting RISC-V Toolchain build process"

#build_project riscv-openocd --prefix=$RISCV --enable-remote-bitbang --enable-jtag_vpi --disable-werror
#build_project riscv-fesvr --prefix=$RISCV
#build_project riscv-isa-sim --prefix=$RISCV --with-fesvr=$RISCV
#build_project riscv-gnu-toolchain --prefix=$RISCV
#CC= CXX= build_project riscv-pk --prefix=$RISCV --host=riscv64-unknown-elf
build_project riscv-tests --prefix=$RISCV/riscv64-unknown-elf

echo -e "\\nRISC-V Toolchain installation completed!"

